--Made by Florin Tanasa

create(0)
showconsole()
clearconsole()

--Materiale / Materials
MatAer="Air"
MatDisc="Pure Iron"
MatMag="NdFeB 40 MGOe"

CreezMat(MatAer)
CreezMat(MatDisc)
CreezMat(MatMag)

-- Date geometrice de intrare / Input geometrical data
--Nr_poli=12 -- numarul de poli / poli numbers
Nr_poli=tonumber(prompt("Numarul de poli (magneti) de pe un disc (nr.par)/Number of poles (magnets) on a disc (even)"))
---g_disc=10 -- grosimea discului de otel (rotor) / steel disc thickness 
g_disc=tonumber(prompt("Grosimea discului [mm] / Disc thickness [mm]"))
--intrefier=20
intrefier=tonumber(prompt("Grosime intrefier [mm] (nr. intreg)/Air gape thickness (integers) [mm]"))

--Date geometrice ale unui magnetului / Geometrical data for one magnet
--tonumber(prompt("Lungimea magnetului")
--L_mag=46 --lungimea magnetului
L_mag=tonumber(prompt("Lungimea magnetului [mm]/Magnet length [mm]"))
--l_mag=30 --latimea magnetului
l_mag=tonumber(prompt("Latimea magnetului [mm]/Magnet width [mm]"))
--g_mag=10 --grosimea magnetului
g_mag=tonumber(prompt("Grosimea magnetului [mm]/Magnet thickness [mm]"))


-- Constante/Constants
pi=3.141592653589793238
--Definirea tipului de problema / Problem definition
mi_probdef(0,"millimeters","planar",1E-8,L_mag,30)

--Conditia de frontiera / Limit condition
mi_addboundprop("A=0",0,0,0,0,0,0,0,0,0)

--Definirea grupurilor / Group definition
GrpDisc1=1
GrpMag1=2
GrpDisc2=3
GrpMag2=4
GrpFro=5
GrpAer=6

--Definire mesh / Mesh definition
MeshAer=4
MeshDisc=3
MeshMag=2
