--Made by Florin Tanasa

--Determinare date necesare ale geometriei / Find geometrical data

L_cerc_int=Nr_poli*2*l_mag
r_cerc_int=L_cerc_int/(2*pi)
r_cerc_ext=r_cerc_int+L_mag
r_cerc_med=r_cerc_int+((r_cerc_ext-r_cerc_int)/2)
L_cerc_ext=2*pi*r_cerc_ext
L_cerc_med=2*pi*r_cerc_med

n0=L_cerc_ext
d1=g_mag+(intrefier/2)
d2=g_disc
d3=d2+d1

--mi_addnode(0,0) --Origine

--Desenarea discului / Drawing one disc

--Punct(x,y,prop,group)
--Segment(x1,y1,x2,y2,conditie,marimemesh,automesh,ascunde,group)
Segment(0,-d1,0,-d3,"None",0,1,0,GrpDisc1)
Segment(0,-d3,n0,-d3,"None",0,1,0,GrpDisc1)
Segment(n0,-d3,n0,-d1,"None",0,1,0,GrpDisc1)
Segment(n0,-d1,0,-d1,"None",0,1,0,GrpDisc1)
--Regiune(x,y,material,automesh,marimemesh,circuit,dirmag,group,spire)
Regiune(n0/2,-(d1+d2/2),MatDisc,0,MeshDisc,0,0,GrpDisc1,0)

-- Desenarea magnetilor / Drawing magnets
--prima jumatate aflata in partea stanga / First half magnet (left side)
ms0=g_mag
ms1=l_mag/2
ms2=intrefier/2
ms3=ms2+ms0
Segment(0,-ms2,0,-ms3,"None",0,1,0,GrpMag1)
Segment(0,-ms3,ms1,-ms3,"None",0,1,0,GrpMag1)
Segment(ms1,-ms3,ms1,-ms2,"None",0,1,0,GrpMag1)
Segment(ms1,-ms2,0,-ms2,"None",0,1,0,GrpMag1)
Regiune(ms1/2,-(ms0+ms2/2),MatMag,0,MeshMag,0,90,GrpMag1,0)
--adoua jumatate aflata in partea dreapta / Second half magnet (right side)
md0=g_mag
md1=l_mag/2
md2=intrefier/2
md3=md2+md0
md4=n0-md1
Segment(md4,-md2,md4,-md3,"None",0,1,0,GrpMag1)
Segment(md4,-md3,n0,-md3,"None",0,1,0,GrpMag1)
Segment(n0,-md3,n0,-md2,"None",0,1,0,GrpMag1)
Segment(n0,-md2,md4,-md2,"None",0,1,0,GrpMag1)
Regiune(n0-(md1/2),-(md0+md2/2),MatMag,0,MeshMag,0,90,GrpMag1,0)

--desenarea magnetilor-1 / Drawing magnets-1
z=n0/Nr_poli
semn=1
for i=1,Nr_poli-1 
	do
	semn=semn*(-1)
	x=i*z
	x1=x-(l_mag/2)
	x2=x+(l_mag/2)
	--Segment(x1,y1,x2,y2,conditie,marimemesh,automesh,ascunde,group)
	Segment(x1,-md2,x2,-md2,"None",0,1,0,GrpMag1)
	Segment(x1,-md3,x2,-md3,"None",0,1,0,GrpMag1)
	Segment(x1,-md2,x1,-md3,"None",0,1,0,GrpMag1)
	Segment(x2,-md2,x2,-md3,"None",0,1,0,GrpMag1)
	Regiune(x,-(md0+md2/2),MatMag,0,MeshMag,0,semn*90,GrpMag1,0)
end

-- Al doilea rotor / Second rotor
Segment(0,d1,0,d3,"None",0,1,0,GrpDisc2)
Segment(0,d3,n0,d3,"None",0,1,0,GrpDisc2)
Segment(n0,d3,n0,d1,"None",0,1,0,GrpDisc2)
Segment(n0,d1,0,d1,"None",0,1,0,GrpDisc2)
--Regiune(x,y,material,automesh,marimemesh,circuit,dirmag,group,spire)
Regiune(n0/2,(d1+d2/2),MatDisc,0,MeshDisc,0,0,GrpDisc2,0)

Segment(0,ms2,0,ms3,"None",0,1,0,GrpMag2)
Segment(0,ms3,ms1,ms3,"None",0,1,0,GrpMag2)
Segment(ms1,ms3,ms1,ms2,"None",0,1,0,GrpMag2)
Segment(ms1,ms2,0,ms2,"None",0,1,0,GrpMag2)
Regiune(ms1/2,(ms0+ms2/2),MatMag,0,MeshMag,0,90,GrpMag2,0)

Segment(md4,md2,md4,md3,"None",0,1,0,GrpMag2)
Segment(md4,md3,n0,md3,"None",0,1,0,GrpMag2)
Segment(n0,md3,n0,md2,"None",0,1,0,GrpMag2)
Segment(n0,md2,md4,md2,"None",0,1,0,GrpMag2)
Regiune(n0-(md1/2),(md0+md2/2),MatMag,0,MeshMag,0,90,GrpMag2,0)
semn=1
for i=1,Nr_poli-1 
	do
	semn=semn*(-1)
	x=i*z
	x1=x-(l_mag/2)
	x2=x+(l_mag/2)
	--Segment(x1,y1,x2,y2,conditie,marimemesh,automesh,ascunde,group)
	Segment(x1,md2,x2,md2,"None",0,1,0,GrpMag2)
	Segment(x1,md3,x2,md3,"None",0,1,0,GrpMag2)
	Segment(x1,md2,x1,md3,"None",0,1,0,GrpMag2)
	Segment(x2,md2,x2,md3,"None",0,1,0,GrpMag2)
	Regiune(x,(md0+md2/2),MatMag,0,MeshMag,0,semn*90,GrpMag2,0)
end

-- zona de aer / air zone
a=10+intrefier/2+g_mag+g_disc

Segment(-10,0,-10,-a,"A=0",0,1,0,GrpAer)
Segment(-10,0,-10,a,"A=0",0,1,0,GrpAer)
Segment(10+n0,0,10+n0,-a,"A=0",0,1,0,GrpAer)
Segment(10+n0,0,10+n0,a,"A=0",0,1,0,GrpAer)
Segment(10+n0,-a,-10,-a,"A=0",0,1,0,GrpAer)
Segment(10+n0,a,-10,a,"A=0",0,1,0,GrpAer)
Regiune(n0/2,0,MatAer,0,MeshAer,0,0,GrpAer,0)

mi_refreshview()
mi_zoomnatural()
mi_saveas("..\\simulare\\generator.fem")
mi_createmesh()
mi_showmesh()
--Scriere date pe disc/ Write data to disk
remove("..\\rezultate\\geometrie.txt") -- sterge datele anterioare / delete previos data
handle=openfile("..\\rezultate\\geometrie.txt","a")
write(handle,"Numarul de poli/Number of poles=",Nr_poli,"\n"
			,"Numarul de perechi de poli/Number of pairs of poles=",Nr_poli/2,"\n"
			,"\n","Lungime magnet/Magnet Length=",L_mag,"[mm]","\n"
			,"Latime magnet/Width of magnet=",l_mag,"[mm]","\n"
			,"Grosime magnet/Magnet thickness=",g_mag,"[mm]","\n"
			,"\n","Lungime intrefier/Length air gap=",intrefier,"[mm]","\n"
			,"\n","Grosime disc/Disc Thickness=",g_disc,"[mm]","\n"
			,"Diametru disc/Disc Diameter=",ceil(r_cerc_ext*2),"[mm]","\n"
			,"\n","Materiale folosite/Materials used:","\n"
			,"\t Disc=",MatDisc,"\n"
			,"\t Magnet=",MatMag,"\n")
closefile(handle)